Loading...
Searching...
No Matches
Dune::GridGlue::ProjectionWriterImplementation Namespace Reference

## Functions

template<unsigned side, typename Coordinate, typename Corners>
void | write_points (const Projection< Coordinate > &projection, const Corners &corners, std::ostream &out)
template<unsigned side, typename Coordinate, typename Normals>
void | write_normals (const Projection< Coordinate > &projection, const Normals &normals, std::ostream &out)
template<typename Coordinate, typename Corners>
void | write_edge_intersection_points (const Projection< Coordinate > &projection, const Corners &corners, std::ostream &out)
template<typename Coordinate, typename Normals>
void | write_edge_intersection_normals (const Projection< Coordinate > &projection, const Normals &normals, std::ostream &out)
template<unsigned side, typename Coordinate>
void | write_success (const Projection< Coordinate > &projection, std::ostream &out)

## Function Documentation

## write_edge_intersection_normals()

template<typename Coordinate, typename Normals>

void Dune::GridGlue::ProjectionWriterImplementation::write_edge_intersection_normals | ( | const Projection< Coordinate > & | projection,
|  | const Normals & | normals,
|  | std::ostream & | out )

## write_edge_intersection_points()

template<typename Coordinate, typename Corners>

void Dune::GridGlue::ProjectionWriterImplementation::write_edge_intersection_points | ( | const Projection< Coordinate > & | projection,
|  | const Corners & | corners,
|  | std::ostream & | out )

## write_normals()

template<unsigned side, typename Coordinate, typename Normals>

void Dune::GridGlue::ProjectionWriterImplementation::write_normals | ( | const Projection< Coordinate > & | projection,
|  | const Normals & | normals,
|  | std::ostream & | out )

## write_points()

template<unsigned side, typename Coordinate, typename Corners>

void Dune::GridGlue::ProjectionWriterImplementation::write_points | ( | const Projection< Coordinate > & | projection,
|  | const Corners & | corners,
|  | std::ostream & | out )

## write_success()

template<unsigned side, typename Coordinate>

void Dune::GridGlue::ProjectionWriterImplementation::write_success | ( | const Projection< Coordinate > & | projection,
|  | std::ostream & | out )